onEvent('block.loot_tables', event => {
event.build('kubejs:lootblock_magic_floral', table => {

table.pool(pool => {
    pool.rolls = 2
	Ingredient.of(['botania:mana_diamond', 'botania:manasteel_ingot', 'botania:mana_pearl', 'botania:mana_string', 'naturesaura:infused_iron']).stacks.forEach(stack => {
            pool.addEntry({
              "type": "minecraft:item",
			  "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1.0,
                "max": 2.0,
                "type": "minecraft:uniform"
              }
            }
          ],
              "name": stack.id
            })
		})
	})

table.pool(pool => {
    pool.rolls = 2
	Ingredient.of(['botania:bellethorn_chibi', 'botania:agricarnation_chibi', 'botania:hopperhock_chibi', 'botania:rannuncarpus_chibi', 'botania:clayconia_chibi', 'botania:solegnolia_chibi', '/botania:.+_seeds/', 'botania:overgrowth_seed', 'botania:keep_ivy', 'botania:black_lotus', 'botania:redstone_root', 'botania:vine_ball', 'botania:world_seed']).stacks.forEach(stack => {
            pool.addEntry({
              "type": "minecraft:item",
			  "functions": [
            {
              "function": "minecraft:set_count",
              "count": {
                "min": 1.0,
                "max": 1.0,
                "type": "minecraft:uniform"
              }
            }
          ],
              "name": stack.id
            })
		})
	})
})
})